be.fgov.ehealth.etee.kgss._1_0.protocol

## Class GetNewKeyRequest

- java.lang.Object
- - be.fgov.ehealth.commons._1_0.protocol.RequestType
  - - be.fgov.ehealth.etee.kgss._1_0.protocol.GetNewKeyRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:58:05+01:00",
                 comments="JAXB RI v2.2.11")
      public class GetNewKeyRequest
      extends RequestType
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:1_0:protocol}RequestType">
             <sequence>
               <element name="SealedNewKeyRequest" type="{urn:be:fgov:ehealth:etee:kgss:1_0:protocol}SealedContentType"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetNewKeyRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SealedContentType` | `getSealedNewKeyRequest()` Gets the value of the sealedNewKeyRequest property.
    `void` | `setSealedNewKeyRequest(SealedContentType value)` Sets the value of the sealedNewKeyRequest property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetNewKeyRequest

          public GetNewKeyRequest()

  - ### Method Detail

    - #### getSealedNewKeyRequest

          public SealedContentType getSealedNewKeyRequest()

      Gets the value of the sealedNewKeyRequest property.
      Returns:
        possible object is `SealedContentType`

    - #### setSealedNewKeyRequest

          public void setSealedNewKeyRequest(SealedContentType value)

      Sets the value of the sealedNewKeyRequest property.
      Parameters:
        `value` - allowed object is `SealedContentType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.